/*
  Assumptions:

  * We are using two's complement arithmetic, where the minimum
   integer is -2^31 (-0x80000000) and the maximum integer is 2^31-1
   (0x7fffffff).

  * floating point numbers are represented as doubles
  * A floating point number takes at most 8 bytes of storage
  * values of type Cint are large enough to hold pointers
  * arithmetic is done on integers of type Cint
*/

#ifndef _CSTATE_

#define _CSTATE_ 
#define CNUMREGS 31
typedef int Cint;
typedef Cint CState[CNUMREGS+1];
typedef Cint *CState_ptr;
#endif _CSTATE_



